@echo off
echo Extract MODIS Aqua based Sea Surface Temperature
echo Data from 2002185 onwards
echo Unit is degree C
echo File name format A2012001.L3m_DAY_SST_4.bz2
echo Julian Day format is used
echo note that the routine downloads the data from http://oceandata.sci.gsfc.nasa.gov/cgi/getfile
echo.
echo. 

set longfilename=%1
set shortfilename1=%longfilename:~0,7%
set shortfilename2=%longfilename:~0,4%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8


cd\
%OutputDrive%
cd %OutputDir%

echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.

"%UtilDir%\wget\wget.exe" http://oceandata.sci.gsfc.nasa.gov/cgi/getfile/A%shortfilename1%.L3m_DAY_SST_4.bz2

echo off
if not exist "%OutputDrive%\%OutputDir%\A%shortfilename1%.L3m_DAY_SST_4.bz2"  goto MESSAGE
echo The file(s) "A%shortfilename1%.L3m_DAY_SST_4.bz2" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Check your Date stamp settings
echo Your current Date stamp used is %shortfilename1%
echo This routine downloads the data from http://oceandata.sci.gsfc.nasa.gov/cgi/getfile
echo Data is also available from http://oceandata.sci.gsfc.nasa.gov/MODISA/Mapped/Daily/4km/SST/%shortfilename2%/
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START

"%UtilDir%\7z.exe" e A%shortfilename1%.L3m_DAY_SST_4.bz2

"%gdalDir%\gdal_translate" -of ILWIS HDF4_SDS:UNKNOWN:"A%shortfilename1%.L3m_DAY_SST_4":0 sst_A%shortfilename1%t.mpr

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\sst_A%shortfilename1%.mpr{dom=value;vr=-2.0000:45.0000:0.0001}:=(%OutputDrive%\%OutputDir%\sst_A%shortfilename1%t*0.000717185)-2

"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\sst_A%shortfilename1%.mpr %UtilDir%\nasa_ocean

del A%shortfilename1%.L3m_DAY_SST_4.bz2
del A%shortfilename1%.L3m_DAY_SST_4
del sst_A%shortfilename1%t.mp*


:END
"%IlwDir%\ilwis.exe" -C closeall