@echo off
echo Extract Chirps Global Daily Precipitation
echo Precipitation in mm/day

echo File name format chirps-v2.0.1981.01.1.tif
rem most dat is zipped but not all (like recent data)
rem routine processes both zipped and non-zipped data

echo.
echo.

set longfilename=%1
set shortfilename1=%longfilename:~0,4%
set shortfilename2=%longfilename:~4,2%
set shortfilename3=%longfilename:~6,2%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8


cd\
%OutputDrive%
cd %OutputDir%


echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.

"%UtilDir%\wget\wget.exe" "ftp://chg-ftpout.geog.ucsb.edu/pub/org/chg/products/CHIRPS-2.0/global_daily/tifs/p05/%shortfilename1%/chirps-v2.0.%shortfilename1%.%shortfilename2%.%shortfilename3%.t*"



echo off
if not exist "%OutputDrive%\%OutputDir%\chirps-v2.0.%shortfilename1%.%shortfilename2%.%shortfilename3%.*"  goto MESSAGE
echo The file(s) "chirps-v2.0.%shortfilename1%.%shortfilename2%.%shortfilename3%" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Check your Date stamp settings
echo Your current Date stamp used is %shortfilename1%%shortfilename2%%shortfilename3%
echo Data is retrieved from ftp://chg-ftpout.geog.ucsb.edu/pub/org/chg/products/CHIRPS-2.0/global_daily/tifs/p05/%shortfilename1%
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START

if not exist "%OutputDrive%\%OutputDir%\chirps-v2.0.%shortfilename1%.%shortfilename2%.%shortfilename3%.tif.gz" goto START1

"%UtilDir%\7z.exe" e chirps-v2.0.%shortfilename1%.%shortfilename2%.%shortfilename3%.tif.gz

:START1

rename "chirps-v2.0.%shortfilename1%.%shortfilename2%.%shortfilename3%.tif" chirps_%shortfilename1%%shortfilename2%%shortfilename3%.tif

"%GdalDir%\gdal_translate.exe" -of ilwis %OutputDrive%\%OutputDir%\chirps_%shortfilename1%%shortfilename2%%shortfilename3%.tif %OutputDrive%\%OutputDir%\chirpsG_%shortfilename1%%shortfilename2%%shortfilename3%.mpr
"%IlwDir%\ilwis.exe" -C '%OutputDrive%\%OutputDir%\chirps_Global_%shortfilename1%%shortfilename2%%shortfilename3%'.mpr{dom=value;vr=0:10000:0.01}:=iff('%OutputDrive%\%OutputDir%\chirpsG_%shortfilename1%%shortfilename2%%shortfilename3%' ge 0,'%OutputDrive%\%OutputDir%\chirpsG_%shortfilename1%%shortfilename2%%shortfilename3%',?)

rem delete obsolete objects

if exist "%OutputDrive%\%OutputDir%\chirps-v2.0.%shortfilename1%.%shortfilename2%.%shortfilename3%.tif.gz" del "%OutputDrive%\%OutputDir%\chirps-v2.0.%shortfilename1%.%shortfilename2%.%shortfilename3%.tif.gz"
del "%OutputDrive%\%OutputDir%\chirps_%shortfilename1%%shortfilename2%%shortfilename3%.tif"
del "%OutputDrive%\%OutputDir%\chirpsG_%shortfilename1%%shortfilename2%%shortfilename3%.mp*"



:END
"%IlwDir%\ilwis.exe" -C closeall