@echo off
echo Extract NDVI-G (Version 4, NOAA-16 calibration)
echo Short Term Average (STA)
echo File name format ndvigstav.zip
echo Output is 36 decades STA NDVI
echo Scaled from 0 to 1
echo.
echo.

set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8

cd\
%OutputDrive%
cd %OutputDir%


echo set OutputDrive=%4>inputparam.bat
echo set OutputDir=%5>>inputparam.bat
echo set IlwDir=%7>>inputparam.bat
echo set UtilDir=%8>>inputparam.bat

echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.


"%UtilDir%\wget\wget.exe" http://earlywarning.usgs.gov/ftp2/raster/ng/bil/a/ndvigstav.zip

echo off
if not exist "%OutputDrive%\%OutputDir%\ndvigstav.zip"  goto MESSAGE
echo The file(s) "ndvigstav.zip" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Data is retrieved from http://earlywarning.usgs.gov/ftp2/raster/ng/bil/a/
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!

pause

GOTO END

:START


"%UtilDir%\7z.exe" e ndvigstav.zip ndvigsav\*.bil

copy %IlwDir%\Extensions\ISOD-Toolbox\toolbox_batchroutines\fews_ndvigstav_loop.bat

for %%j in (asm*.bil) do cmd /c fews_ndvigstav_loop.bat %%j


del ndvigstav.zip
del fews_ndvigstav_loop.bat
del inputparam.bat

:END
"%IlwDir%\ilwis.exe" -C closeall