@echo off
echo Extract NOAA STAR 
echo Archive used is ftp://ftp.star.nesdis.noaa.gov/pub/corp/scsb/wguo/data/VHP_4km/VH/
echo After extraction file name is VHP.G04.C07.NP.P2013027.VH.nc
echo Data extracted for a week numbered 01 to 52!
echo Weekly time interval!
echo NOAA 19 (NP) - AVHRR instrument used
echo Layer extracted: TCI, VCI and VHI


rem file name convention VHP.G04.C07.NP.P2013027.VH.nc

echo.
echo.


set longfilename=%1
set shortfilename1=%longfilename:~0,4%
set shortfilename2=%longfilename:~4,3%
set OutputDrive=%4
set OutputDir=%5
set GdalDir=%6
set IlwDir=%7
set UtilDir=%8

cd\
%OutputDrive%
cd %OutputDir%

echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.





"%UtilDir%\wget\wget.exe" ftp://ftp.star.nesdis.noaa.gov/pub/corp/scsb/wguo/data/VHP_4km/VH/VHP.G04.C07.NP.P%shortfilename1%%shortfilename2%.VH.nc



echo off
if not exist "%OutputDrive%\%OutputDir%\VHP.G04.C07.NP.P%shortfilename1%%shortfilename2%.VH.nc"  goto MESSAGE
echo The file(s) "VHP.G04.C07.NP.P%shortfilename1%%shortfilename2%.VH.nc" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Check your Date stamp settings
echo Your current Date stamp used is %shortfilename1%%shortfilename2%
echo Data is retrieved from ftp://ftp.star.nesdis.noaa.gov/pub/corp/scsb/wguo/data/VHP_4km/VH
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START

ren VHP.G04.C07.NP.P%shortfilename1%%shortfilename2%.VH.nc VHP_%shortfilename1%%shortfilename2%_VH.nc


set SDK_ROOT=%GdalDir%\gdal111\
set SDK_ROOT=%SDK_ROOT:\\=\%
SET "PATH=%SDK_ROOT%;%PATH%"
SET "GDAL_DATA=%SDK_ROOT%gdal-data"
SET "GDAL_DRIVER_PATH=%SDK_ROOT%gdalplugins"
SET "PROJ_LIB=%SDK_ROOT%projlib"


"%GdalDir%\gdal111\gdal_translate.exe" -of ilwis HDF5:"VHP_%shortfilename1%%shortfilename2%_VH.nc"://TCI tci_raw.mpr

"%IlwDir%\ilwis.exe" -C '%OutputDrive%\%OutputDir%\VHP_VH_TCI_%shortfilename1%%shortfilename2%'{dom=value;vr=0.00:100.00:0.01}:=('%OutputDrive%\%OutputDir%\tci_raw'*0.0099999998);

"%IlwDir%\ilwis.exe" -C setgrf '%OutputDrive%\%OutputDir%\VHP_VH_TCI_%shortfilename1%%shortfilename2%'.mpr '%utilDir%\star_avhrr'.grf


"%GdalDir%\gdal111\gdal_translate.exe" -of ilwis HDF5:"VHP_%shortfilename1%%shortfilename2%_VH.nc"://VCI vci_raw.mpr

"%IlwDir%\ilwis.exe" -C '%OutputDrive%\%OutputDir%\VHP_VH_VCI_%shortfilename1%%shortfilename2%'{dom=value;vr=0.00:100.00:0.01}:=('%OutputDrive%\%OutputDir%\vci_raw'*0.0099999998);

"%IlwDir%\ilwis.exe" -C setgrf '%OutputDrive%\%OutputDir%\VHP_VH_VCI_%shortfilename1%%shortfilename2%'.mpr '%utilDir%\star_avhrr'.grf



"%GdalDir%\gdal111\gdal_translate.exe" -of ilwis HDF5:"VHP_%shortfilename1%%shortfilename2%_VH.nc"://VHI vhi_raw.mpr

"%IlwDir%\ilwis.exe" -C '%OutputDrive%\%OutputDir%\VHP_VH_VHI_%shortfilename1%%shortfilename2%'{dom=value;vr=0.00:100.00:0.01}:=('%OutputDrive%\%OutputDir%\vhi_raw'*0.0099999998);

"%IlwDir%\ilwis.exe" -C setgrf '%OutputDrive%\%OutputDir%\VHP_VH_VHI_%shortfilename1%%shortfilename2%'.mpr '%utilDir%\star_avhrr'.grf




del tci_raw.*
del vci_raw.*
del vhi_raw.*
del vhp_%shortfilename1%%shortfilename2%_VH.nc
rem del VHP.G04.C07.NP.P%shortfilename1%%shortfilename2%.VH.nc


:END
"%IlwDir%\ilwis.exe" -C closeall