@echo off
echo Extract TMI TRMM SSM Night data
echo Skin Temperature -2 mm
echo Temperature in degree Celcius (divided by 100, still to be validated)
echo SSM is Volumetric Soil Moisture from X-band
echo.
echo.


set longfilename=%1
set shortfilename1=%longfilename:~0,8%
set shortfilename2=%longfilename:~0,4%
set shortfilename3=%longfilename:~4,2%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8
set irfanviewdir=%9

cd\
%OutputDrive%
cd %OutputDir%

echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.


"%UtilDir%\wget\wget.exe" ftp://hydro1.sci.gsfc.nasa.gov/data/s4pa/WAOB/LPRM_TMI_NT_SOILM3.001/%shortfilename2%/%shortfilename3%/LPRM-TMI_L3_NT_SOILM3_V001*_%shortfilename1%.nc

ren LPRM-TMI_L3_NT_SOILM3_V001*_%shortfilename1%.nc LPRM_TMI_L3_NT_SOILM3_V001_%shortfilename1%.nc


echo off
if not exist "%OutputDrive%\%OutputDir%\LPRM_TMI_L3_NT_SOILM3_V001_%shortfilename1%.nc"  goto MESSAGE
echo The file(s) "LPRM_TMI_L3_NT_SOILM3_V001_%shortfilename1%.nc" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Data is retrieved from ftp://hydro1.sci.gsfc.nasa.gov/data/s4pa/WAOB/LPRM_TMI_NT_SOILM3.001/%shortfilename2%/%shortfilename3%/
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START


"%gdalDir%\gdal_translate" -of ilwis NETCDF:"LPRM_TMI_L3_NT_SOILM3_V001_%shortfilename1%.nc":ts LPRM_TMI_night_ts%shortfilename1%_raw.mpr

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\LPRM_TMI_night_ts%shortfilename1%_raw_C90.mpr:=MapMirrorRotate(%OutputDrive%\%OutputDir%\LPRM_TMI_night_ts%shortfilename1%_raw,Rotate90)

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\LPRM_TMI_night_ts%shortfilename1%_raw_C90_MV.mpr:=MapMirrorRotate(%OutputDrive%\%OutputDir%\LPRM_TMI_night_ts%shortfilename1%_raw_C90,MirrVert)

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\LPRM_TMI_night_ts%shortfilename1%:=(%OutputDrive%\%OutputDir%\LPRM_TMI_night_ts%shortfilename1%_raw_C90_MV / 100);

rem "%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\LPRM_TMI_night_ts%shortfilename1%.mpr none.grf




"%gdalDir%\gdal_translate" -of ilwis NETCDF:"LPRM_TMI_L3_NT_SOILM3_V001_%shortfilename1%.nc":soil_moisture_x LPRM_TMI_night_sm_x%shortfilename1%_raw.mpr


"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\LPRM_TMI_night_sm_x%shortfilename1%_raw_C90.mpr:=MapMirrorRotate(%OutputDrive%\%OutputDir%\LPRM_TMI_night_sm_x%shortfilename1%_raw,Rotate90)

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\LPRM_TMI_night_sm_x%shortfilename1%.mpr:=MapMirrorRotate(%OutputDrive%\%OutputDir%\LPRM_TMI_night_sm_x%shortfilename1%_raw_C90,MirrVert)

rem wait 5 seconds for ILWIS to flush its output
ping 1.1.1.1 -n 1 -w 5000 > NUL

"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\LPRM_TMI_night_ts%shortfilename1%.mpr %UtilDir%\TRMM_TMI_SSM.grf
"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\LPRM_TMI_night_sm_x%shortfilename1%.mpr %UtilDir%\TRMM_TMI_SSM.grf



del LPRM_TMI_night_ts%shortfilename1%_raw.mp*
del LPRM_TMI_night_sm_x%shortfilename1%_raw.mp*
del LPRM_TMI_night_sm_x%shortfilename1%_raw_C90.mp*
del LPRM_TMI_night_ts%shortfilename1%_raw_C90.mp*
del LPRM_TMI_night_ts%shortfilename1%_raw_C90_MV.mp*

del LPRM_TMI_L3_NT_SOILM3_V001_%shortfilename1%.nc
del LPRM_TMI_night_ts%shortfilename1%_raw.grf
rem del LPRM_TMI_night_ts%shortfilename1%.grf
del LPRM_TMI_night_sm_x%shortfilename1%_raw.grf
del LPRM_TMI_night_sm_x%shortfilename1%.grf
del LPRM_TMI_night_sm_x%shortfilename1%_raw_C90.grf
del LPRM_TMI_night_ts%shortfilename1%_raw_C90.grf
del LPRM_TMI_night_ts%shortfilename1%_raw_C90_MV.grf


:END
"%IlwDir%\ilwis.exe" -C closeall
